<?php
	include 'eWallet.php';

	// prepare parameters for eWallet HTTP adapter
	$accounts_to_load = array(
		array(
			'UserName'	=> 'IP001',
			'Amount'	=> '100.00',
			'Comments'	=> 'commissions for pay period 1',
			'MerchantReferenceID' => 'REFID0001'
		),
		array(
			'UserName'	=> 'iptest1111',
			'Amount'	=> '200.00',
			'Comments'	=> 'commissions for pay period 1',
			'MerchantReferenceID' => 'REFID0002'
		)
	);

	$arrAccounts = '';

	// convert arrays into a proper formatted string
	foreach($accounts_to_load as $value)
	{
		$arrAccounts .= '[' . http_build_query($value) . ']';
	}

	//echo $arrAccounts;

	$params = array(
		'fn'    			=> 'eWallet_Load',
		'MerchantGUID'		=> $MerchantGUID,
		'MerchantPassword'	=> $MerchantPassword,
		'PartnerBatchID'	=> 'my_batch_id_123',
		'PoolID'			=> '',
		'arrAccounts'		=> $arrAccounts,
		'CurrencyCode'		=> 'USD'
	);

	// make a POST request to eWallet HTTP adapter
	$ch = curl_init($eWalletAPIURL);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($params));
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
	curl_setopt($ch, CURLOPT_HEADER, 0);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	$ips_response = curl_exec($ch);
	curl_close($ch);

	// parse return
	parse_str($ips_response);
	parse_str($response);
	echo $response . "<br>";
	echo "m_Code = " . $m_Code . "<br>"; // if success, it should be NO_ERROR
	echo "m_Text = " . $m_Text . "<br>"; // if error, it will contain error description
?>
