<?php
	include 'eWallet.php';

	// prepare parameters for eWallet HTTP adapter
	$params = array(
		'fn'    			=> 'eWallet_RegisterUser',
		'MerchantGUID'		=> $MerchantGUID,
		'MerchantPassword'	=> $MerchantPassword,
		'UserName'			=> 'IP001',
		'FirstName'			=> 'WSTest',
		'LastName'			=> 'Test',
		'CompanyName'		=> '',
		'Address1'			=> '2500 E Hallandale Beach Blvd',
		'Address2'			=> 'Suite 800',
		'City'				=> 'Hallandale Beach',
		'State'				=> 'FL',
		'ZipCode'			=> '33009',
		'Country2xFormat'	=> 'US',
		'PhoneNumber'		=> '954-123-4567',
		'CellPhoneNumber'	=> '',
		'EmailAddress'		=> 'user@aol.com',
		'SSN'				=> '123-45-6789',
		'CompanyTaxID'		=> '',
		'GovernmentID'		=> '',
		'MilitaryID'		=> '',
		'PassportNumber'	=> '',
		'DriversLicense'	=> '',
		'DateOfBirth'		=> '9/18/1945',
		'WebsitePassword'	=> 'passw0rd',
		'DefaultCurrency'	=> 'USD'
	);

	// make a POST request to eWallet HTTP adapter
	$ch = curl_init($eWalletAPIURL);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($params));
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
	curl_setopt($ch, CURLOPT_HEADER, 0);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	$ips_response = curl_exec($ch);
	curl_close($ch);

	// parse return
	parse_str($ips_response);
	parse_str($response);
	echo $response . "<br>";
	echo "m_Code = " . $m_Code . "<br>"; // if success, it should be NO_ERROR
	echo "m_Text = " . $m_Text . "<br>"; // if error, it will contain error description
?>
